package com.ortusoft.pricefixing.web.config;

import org.picketlink.idm.IdentityManager;
import org.picketlink.idm.PartitionManager;
import org.picketlink.idm.credential.Password;
import org.picketlink.idm.model.basic.User;

import java.util.logging.Logger;

import javax.annotation.PostConstruct;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.inject.Inject;

@Singleton
@Startup
public class SecurityInitializer {
	private static final Logger logger = Logger.getLogger(SecurityInitializer.class.getName());
	
	@Inject
    private PartitionManager partitionManager;

    @PostConstruct
    public void create() {
		logger.info("222");
        IdentityManager identityManager = this.partitionManager.createIdentityManager();

        User user = new User("admin");

        user.setEmail("admin@doe.com");
        user.setFirstName("admin");
        user.setLastName("admin");

        identityManager.add(user);
        identityManager.updateCredential(user, new Password("admin"));
    }
}
